<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
	<meta content="IE=7" http-equiv="X-UA-Compatible" />
	<title>PHP GIS</title>
	<script src="http://dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=6.2" type="text/javascript"></script>
	<script src="Scripts/jquery-1.3.1.js" type="text/javascript"></script>
	<script type="text/javascript">
	        var map = null;
	        
	        function GetMap()
	        {
	            map = new VEMap('mapa');
	
	            map.LoadMap(new VELatLong(50.0, 15.0), 7);
	            map.SetScaleBarDistanceUnit(VEDistanceUnit.Kilometers);
	        }
	
	        function ShowPolygon()
	        {
	            var selectedValue = document.getElementById('kraj');
	            var krajId = selectedValue.options[selectedValue.selectedIndex].value;
	
	            if (krajId == 0)
	            {
	                return;
	            }
	
	            var layer = new VEShapeLayer();
	
	            var veLayerSpec = new VEShapeSourceSpecification(VEDataType.GeoRSS, 'polygon.php?id=' + krajId, layer);
	
	            try
	            {
	                map.DeleteAllShapeLayers();
	                map.ImportShapeLayerData(veLayerSpec);
	            }
	            catch(ex)
	            {
	               alert("Chyba: " + ex.name + ", " + ex.message);
	            }
	
	            
	           	jQuery.getJSON('points.php', 
	           			'id=' + krajId,
	           			function(data)
	           			{
	           				jQuery('#mista').empty();
	           				dataLength = data.length;
							
							for (var i = 0; i < dataLength; i++)
							{
								jQuery('#mista').append('<a href=\'#\' onclick=\'CreatePushpin("' + data[i].name + '", ' + data[i].latitude + ',' + data[i].longitude + ');\'>' + data[i].name + '</a><br />');
							}
							
	           			});
	        }
	        
	        function CreatePushpin(text, lat, lon)
	        {
	        	var layer = new VEShapeLayer();
	           	var shape = new VEShape(VEShapeType.Pushpin, new VELatLong(lat, lon));          
	        	shape.SetTitle(text);
	        	
				layer.AddShape(shape);                  	
		       	
		       	map.AddShapeLayer(layer);
	        }
	        
		</script>
	</head>

	<body onload="GetMap();">
		<?php
			$serverName = '(local)\SQLEXPRESS'; // adresa serveru
			$connectionInfo = array( 'Database'=>'CR'); // parametry pripojeni
			
			$conn = sqlsrv_connect( $serverName, $connectionInfo);
			if( $conn === false )
			{
			     die( print_r( sqlsrv_errors(), true));
			}
		?>
		<div>
			<h1>PHP, SQL Server 2008 a GIS</h1>
		</div>
		<div>
			<select id="kraj" onchange="ShowPolygon();">
			<option value="0">[Vyberte si kraj]</option>
			<?php 
					$stmt = sqlsrv_query( $conn, 'SELECT KrajId, Nazev FROM Kraje ORDER BY Nazev');
					
					while(sqlsrv_fetch( $stmt))
					{
						echo '<option value="' . sqlsrv_get_field($stmt, 0) .'">';
						echo iconv("utf-16le", 
									"utf-8", 
									sqlsrv_get_field($stmt, 
										1, 
										SQLSRV_PHPTYPE_STRING(SQLSRV_ENC_BINARY)));
						echo "</option>\r\n";
					}
								
					sqlsrv_free_stmt( $stmt); // uklid
					sqlsrv_close( $conn); // navraceni spojeni do connection pool	
				?>
				</select> 
		</div>
		<table>
			<tr>
				<td>
					<div id="mapa" style="position: relative; width: 600px; height: 450px;"></div>
				</td>
				<td>
					<div id="mista" style="overflow:scroll;width: 150px; height: 450px;"></div>
				</td>
			</tr>
		</table>
	</body>
</html>
